# Method: archiveJobs.retry

- [HTTP request](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry#body.request_body)
- [Response body](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry#body.response_body)
  - [JSON representation](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry#body.RetryPortabilityArchiveResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry#body.aspect)

Retries a failed Portability Archive job.

### HTTP request

`POST https://dataportability.googleapis.com/v1/{name=archiveJobs/*}:retry`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The Archive job ID you're retrying. This is returned by the InitiatePortabilityArchiveResponse. Retrying is only executed if the initial job failed. |

### Request body

The request body must be empty.

### Response body

Response from retrying a Portability Archive.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "archiveJobId": string } ``` |

| Fields ||
|---|---|
| `archiveJobId` | `string` The archive job ID that is initiated by the retry endpoint. This can be used to get the state of the new job. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/dataportability.alerts.subscriptions`
- `https://www.googleapis.com/auth/dataportability.businessmessaging.conversations`
- `https://www.googleapis.com/auth/dataportability.chrome.autofill`
- `https://www.googleapis.com/auth/dataportability.chrome.bookmarks`
- `https://www.googleapis.com/auth/dataportability.chrome.dictionary`
- `https://www.googleapis.com/auth/dataportability.chrome.extensions`
- `https://www.googleapis.com/auth/dataportability.chrome.history`
- `https://www.googleapis.com/auth/dataportability.chrome.reading_list`
- `https://www.googleapis.com/auth/dataportability.chrome.settings`
- `https://www.googleapis.com/auth/dataportability.discover.follows`
- `https://www.googleapis.com/auth/dataportability.discover.likes`
- `https://www.googleapis.com/auth/dataportability.discover.not_interested`
- `https://www.googleapis.com/auth/dataportability.maps.aliased_places`
- `https://www.googleapis.com/auth/dataportability.maps.commute_routes`
- `https://www.googleapis.com/auth/dataportability.maps.commute_settings`
- `https://www.googleapis.com/auth/dataportability.maps.ev_profile`
- `https://www.googleapis.com/auth/dataportability.maps.factual_contributions`
- `https://www.googleapis.com/auth/dataportability.maps.offering_contributions`
- `https://www.googleapis.com/auth/dataportability.maps.photos_videos`
- `https://www.googleapis.com/auth/dataportability.maps.questions_answers`
- `https://www.googleapis.com/auth/dataportability.maps.reviews`
- `https://www.googleapis.com/auth/dataportability.maps.starred_places`
- `https://www.googleapis.com/auth/dataportability.myactivity.maps`
- `https://www.googleapis.com/auth/dataportability.myactivity.myadcenter`
- `https://www.googleapis.com/auth/dataportability.myactivity.play`
- `https://www.googleapis.com/auth/dataportability.myactivity.search`
- `https://www.googleapis.com/auth/dataportability.myactivity.shopping`
- `https://www.googleapis.com/auth/dataportability.myactivity.youtube`
- `https://www.googleapis.com/auth/dataportability.mymaps.maps`
- `https://www.googleapis.com/auth/dataportability.order_reserve.purchases_reservations`
- `https://www.googleapis.com/auth/dataportability.play.devices`
- `https://www.googleapis.com/auth/dataportability.play.grouping`
- `https://www.googleapis.com/auth/dataportability.play.installs`
- `https://www.googleapis.com/auth/dataportability.play.library`
- `https://www.googleapis.com/auth/dataportability.play.playpoints`
- `https://www.googleapis.com/auth/dataportability.play.promotions`
- `https://www.googleapis.com/auth/dataportability.play.purchases`
- `https://www.googleapis.com/auth/dataportability.play.redemptions`
- `https://www.googleapis.com/auth/dataportability.play.subscriptions`
- `https://www.googleapis.com/auth/dataportability.play.usersettings`
- `https://www.googleapis.com/auth/dataportability.saved.collections`
- `https://www.googleapis.com/auth/dataportability.search_ugc.comments`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.reviews_and_stars`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.streaming_video_providers`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.thumbs`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.watched`
- `https://www.googleapis.com/auth/dataportability.searchnotifications.settings`
- `https://www.googleapis.com/auth/dataportability.searchnotifications.subscriptions`
- `https://www.googleapis.com/auth/dataportability.shopping.addresses`
- `https://www.googleapis.com/auth/dataportability.shopping.reviews`
- `https://www.googleapis.com/auth/dataportability.streetview.imagery`
- `https://www.googleapis.com/auth/dataportability.youtube.channel`
- `https://www.googleapis.com/auth/dataportability.youtube.clips`
- `https://www.googleapis.com/auth/dataportability.youtube.comments`
- `https://www.googleapis.com/auth/dataportability.youtube.live_chat`
- `https://www.googleapis.com/auth/dataportability.youtube.music`
- `https://www.googleapis.com/auth/dataportability.youtube.playable`
- `https://www.googleapis.com/auth/dataportability.youtube.posts`
- `https://www.googleapis.com/auth/dataportability.youtube.private_playlists`
- `https://www.googleapis.com/auth/dataportability.youtube.private_videos`
- `https://www.googleapis.com/auth/dataportability.youtube.public_playlists`
- `https://www.googleapis.com/auth/dataportability.youtube.public_videos`
- `https://www.googleapis.com/auth/dataportability.youtube.shopping`
- `https://www.googleapis.com/auth/dataportability.youtube.subscriptions`
- `https://www.googleapis.com/auth/dataportability.youtube.unlisted_playlists`
- `https://www.googleapis.com/auth/dataportability.youtube.unlisted_videos`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).